Package org.apache.sysds.hops.fedplanner

# Class FTypes

java.lang.Object
org.apache.sysds.hops.fedplanner.FTypes

public class FTypes extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`FTypes.AlignType`
`static enum`
`FTypes.FederatedPlanner`
`static enum`
`FTypes.FPartitioning`
`static enum`
`FTypes.FReplication`
`static enum`
`FTypes.FType`
`static enum`
`FTypes.Privacy`

## Constructor Summary

Constructors
Constructor
Description
`FTypes()`

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FTypes

public FTypes()